Home page logo
/

bugtraq logo Bugtraq mailing list archives

talkd vulnerability in patched RH 5.0?
From: jkwilli2 () UNITY NCSU EDU (Ken Williams)
Date: Fri, 19 Jun 1998 08:31:53 -0400


hi,

while engaged in a talk session with a local user on an RH 5.0 box with
2.0.34 kernel that has all recommended patches, the user was able to
execute a command in my cwd.  he executed a '\rm *' command in another
xterm window and then inadvertently pasted the command into the xterm
running the talk session just as i '<ctrl>-C'ed' out of the talk session.
all of the files in my cwd were rm'ed.  i looked through all of my
.history files and could not find any command executed on my end.

btw, i checked the bugtraq archives and redhat.com, and read about the
long history of talkd vulnerabilities and security risks, but did not see
anything specifically about this event with patched RH 5.0.  sorry if this
post happens to be irrelevant or old news.

Ken Williams

VP of E.H.A.P. Corp.    http://www.ehap.org/  ehap () ehap org, tattoo () ehap org
Packet Storm Security   http://www.Genocide2600.com/~tattooman/index.shtml
NC State Comp Sci Dept  http://www4.ncsu.edu/~jkwilli2/
PGP DSS & RSA Keys:     http://www.genocide2600.com/cgi-bin/finger?tattooman



  By Date           By Thread  

Current thread:
  • talkd vulnerability in patched RH 5.0? Ken Williams (Jun 19)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]